summaryrefslogtreecommitdiff
path: root/nocompile/bin/dcchelper
diff options
context:
space:
mode:
authorepochqwert <epoch@hacking.allowed.org>2015-04-21 13:41:40 -0500
committerepochqwert <epoch@hacking.allowed.org>2015-04-21 13:41:40 -0500
commit318b3220d191011bb9132efd4dbd5e6fb467b4e7 (patch)
tree1b0e7a29d15f79743c8559652432658423046a38 /nocompile/bin/dcchelper
parent4bdfc44f4681ef322378e614a409d5acc4d6586c (diff)
downloadmisc-318b3220d191011bb9132efd4dbd5e6fb467b4e7.tar.gz
misc-318b3220d191011bb9132efd4dbd5e6fb467b4e7.zip
made dcchelper a script instead of a c program.
ipdist which gives shortest distance based on whob's output of lat and lon nc.* are minmal versions of a netcat like program written in Perl. rfc is a script for downloading and viewing RFCs tpb.sh is for pulling magnet links from tpb search results. cuturl got an upgrade to better handle scheme:?query_string type URLs. (URN? URI? fuck if I know.)
Diffstat (limited to 'nocompile/bin/dcchelper')
-rwxr-xr-xnocompile/bin/dcchelper10
1 files changed, 10 insertions, 0 deletions
diff --git a/nocompile/bin/dcchelper b/nocompile/bin/dcchelper
new file mode 100755
index 0000000..d4f3fc9
--- /dev/null
+++ b/nocompile/bin/dcchelper
@@ -0,0 +1,10 @@
+#!/bin/sh
+hop0="$(hop0 "$1")"
+if [ "$hop0" = "192.168.0.2" ];then
+ if ! printf "%s" "$1" | grep "^192\.168\.0\." 2>&1 >/dev/null;then
+ IP=$(dig +short armitage.hacking.allowed.org @8.8.8.8)
+ fi
+else
+ IP=$hop0
+fi
+ipconvert "$IP" | grep "^dec: " | cut '-d ' -f2